Load Balancer

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 LOADBALANCER 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0DEPRECATED20251023
1.1DEPRECATED20260331
1.2CURRENT-

OpenAPI URL

https://loadbalancer.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - AddLbServerGroupMembers

1.1.1 - 1.2

post /v1/lb-server-groups/{lb_server_group_id}/members

Description

Member를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
bodybody
required

MemberListCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedMemberListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "members": [
        {
            "member_ip": "192.168.0.1",
            "member_port": 80,
            "member_state": "ENABLE",
            "member_weight": 100,
            "name": "virtualserver-1",
            "object_id": "1",
            "object_type": "VM"
        }
    ]
}

Example HTTP response

Response 202

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "members": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "lb_server_group_id": "",
            "member_ip": "",
            "member_port": "",
            "member_state": "",
            "member_weight": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "object_id": "",
            "object_type": "VM",
            "state": "CREATING",
            "subnet_id": "",
            "uuid": ""
        }
    ]
}

1.1.2 - 1.1

post /v1/lb-server-groups/{lb_server_group_id}/members

Description

Member를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
bodybody
required

MemberListCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedMemberListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "members": [
        {
            "member_ip": "192.168.0.1",
            "member_port": 80,
            "member_state": "ENABLE",
            "member_weight": 100,
            "name": "virtualserver-1",
            "object_id": "1",
            "object_type": "VM"
        }
    ]
}

Example HTTP response

Response 202

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "members": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "lb_server_group_id": "",
            "member_ip": "",
            "member_port": "",
            "member_state": "",
            "member_weight": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "object_id": "",
            "object_type": "VM",
            "state": "CREATING",
            "subnet_id": "",
            "uuid": ""
        }
    ]
}

1.2 - CreateLBHealthCheck

1.2.1 - 1.2

post /v1/lb-health-checks

Description

LB 헬스 체크를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbHealthCheckCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "lb_health_check": {
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_url": "/test",
        "http_method": "GET",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "tags": [],
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

Example HTTP response

Response 201

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.2.2 - 1.1

post /v1/lb-health-checks

Description

LB 헬스 체크를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbHealthCheckCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "lb_health_check": {
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_url": "/test",
        "http_method": "GET",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "tags": [],
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

Example HTTP response

Response 201

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.3 - CreateLbListener

1.3.1 - 1.2

post /v1/lb-listeners

Description

Listener를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbListenerCreateRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
201CreatedLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "listener": {
        "condition_type": "URL_PATH",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "insert_client_ip": "",
        "loadbalancer_id": "",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "support_http2": false,
        "tags": [],
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

Example HTTP response

Response 201

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.3.2 - 1.1

post /v1/lb-listeners

Description

Listener를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbListenerCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "listener": {
        "condition_type": "URL_PATH",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "insert_client_ip": "",
        "loadbalancer_id": "",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "support_http2": false,
        "tags": [],
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

Example HTTP response

Response 201

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.4 - CreateLBServerGroup

1.4.1 - 1.2

post /v1/lb-server-groups

Description

LB 서버 그룹을 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "lb_server_group": {
        "description": "this is an lb server group",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "tags": [],
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

Example HTTP response

Response 202

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.4.2 - 1.1

post /v1/lb-server-groups

Description

LB 서버 그룹을 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LbServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "lb_server_group": {
        "description": "this is an lb server group",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "tags": [],
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

Example HTTP response

Response 202

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.5 - CreateLoadbalancer

1.5.1 - 1.2

post /v1/loadbalancers

Description

LoadBalancer를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LoadbalancerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLoadbalancerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "loadbalancer": {
        "description": "",
        "firewall_enabled": true,
        "firewall_logging_enabled": true,
        "health_check_ip_1": "",
        "health_check_ip_2": "",
        "layer_type": "",
        "name": "",
        "publicip_id": "",
        "service_ip": "",
        "source_nat_ip": "",
        "subnet_id": "",
        "tags": [],
        "vpc_id": ""
    }
}

Example HTTP response

Response 202

{
    "loadbalancer": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "layer_type": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.5.2 - 1.1

post /v1/loadbalancers

Description

LoadBalancer를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LoadbalancerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLoadbalancerCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "loadbalancer": {
        "description": "",
        "firewall_enabled": true,
        "firewall_logging_enabled": true,
        "health_check_ip_1": "",
        "health_check_ip_2": "",
        "layer_type": "",
        "name": "",
        "publicip_id": "",
        "service_ip": "",
        "source_nat_ip": "",
        "subnet_id": "",
        "tags": [],
        "vpc_id": ""
    }
}

Example HTTP response

Response 202

{
    "loadbalancer": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "layer_type": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.6 - CreateLoadbalancerPublicNatIp

1.6.1 - 1.2

post /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

LoadBalancer Public NAT를 생성한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone
bodybody
required

StaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedStaticNatCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "static_nat": {
        "publicip_id": ""
    }
}

Example HTTP response

Response 201

{
    "static_nat": {
        "account_id": "",
        "action_type": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "external_ip_address": "",
        "id": "",
        "internal_ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "owner_id": "",
        "owner_name": "",
        "owner_type": "",
        "publicip_id": "",
        "service_ip_port_id": "",
        "state": "",
        "subnet_id": "",
        "type": "",
        "vpc_id": ""
    }
}

1.6.2 - 1.1

post /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

LoadBalancer Public NAT를 생성한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone
bodybody
required

StaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedStaticNatCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "static_nat": {
        "publicip_id": ""
    }
}

Example HTTP response

Response 201

{
    "static_nat": {
        "account_id": "",
        "action_type": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "external_ip_address": "",
        "id": "",
        "internal_ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "owner_id": "",
        "owner_name": "",
        "owner_type": "",
        "publicip_id": "",
        "service_ip_port_id": "",
        "state": "",
        "subnet_id": "",
        "type": "",
        "vpc_id": ""
    }
}

1.7 - DeleteLBHealthCheck

1.7.1 - 1.2

delete /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 204

1.7.2 - 1.1

delete /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 204

1.8 - DeleteLbListener

1.8.1 - 1.2

delete /v1/lb-listeners/{listener_id}

Description

Listener를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 204

1.8.2 - 1.1

delete /v1/lb-listeners/{listener_id}

Description

Listener를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 204

1.9 - DeleteLBServerGroup

1.9.1 - 1.2

delete /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 202

1.9.2 - 1.1

delete /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 202

1.10 - DeleteLoadbalancer

1.10.1 - 1.2

delete /v1/loadbalancers/{loadbalancer_id}

Description

LoadBalancer를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 202

1.10.2 - 1.1

delete /v1/loadbalancers/{loadbalancer_id}

Description

LoadBalancer를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 202

1.11 - DeleteLoadbalancerPublicNatIp

1.11.1 - 1.2

delete /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

LoadBalancer Public NAT를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 204

1.11.2 - 1.1

delete /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

LoadBalancer Public NAT를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 204

1.12 - ListLBHealthChecks

1.12.1 - 1.2

get /v1/lb-health-checks

Description

LB 헬스 체크 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 헬스 체크명
Example : Test-LbMonitor-01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_health_checks": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_type": "DEFAULT",
            "id": "46c681018e33453085ca7c8db54e0076",
            "lb_server_group_count": 2,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "Test-LbMonitor-01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.12.2 - 1.1

get /v1/lb-health-checks

Description

LB 헬스 체크 목록을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 헬스 체크명
Example : Test-LbMonitor-01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, HTTP, HTTPS)], enum (TCP, HTTP, HTTPS), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_health_checks": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_type": "DEFAULT",
            "id": "46c681018e33453085ca7c8db54e0076",
            "lb_server_group_count": 2,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "Test-LbMonitor-01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "subnet_id": "60fba45cb6c811efba41ba92e4fe7200"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.13 - ListLbListeners

1.13.1 - 1.2

get /v1/lb-listeners

Description

Listener 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryloadbalancer_id
optional
LB 아이디
Example :
any of [string, null]None
querystate
optional
Listener 상태
Example :
any of [string, null]None
queryname
optional
Listener 명
Example :
any of [string, null]None
queryservice_port
optional
서비스 포트
Example :
any of [integer, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS)], enum (TCP, UDP, HTTP, HTTPS, TLS), null]None

Responses

HTTP CodeDescriptionSchema
200OKLbListenerListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "listeners": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "protocol": "",
            "service_port": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.13.2 - 1.1

get /v1/lb-listeners

Description

Listener 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryloadbalancer_id
optional
LB 아이디
Example :
any of [string, null]None
querystate
optional
Listener 상태
Example :
any of [string, null]None
queryname
optional
Listener 명
Example :
any of [string, null]None
queryservice_port
optional
서비스 포트
Example :
any of [integer, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, UDP, HTTP, HTTPS, TLS)], enum (TCP, UDP, HTTP, HTTPS, TLS), null]None

Responses

HTTP CodeDescriptionSchema
200OKLbListenerListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "listeners": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "protocol": "",
            "service_port": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.14 - ListLbServerGroupMembers

1.14.1 - 1.2

get /v1/lb-server-groups/{lb_server_group_id}/members

Description

Member 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Member 명
Example :
any of [string, null]None
querymember_ip
optional
Member ID
Example :
any of [string, null]None
querymember_port
optional
Member 포트
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKMemberWithHealthStateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "members": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_state": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "lb_server_group_id": "",
            "member_ip": "",
            "member_port": "",
            "member_state": "",
            "member_weight": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "object_id": "",
            "object_type": "VM",
            "state": "CREATING"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.14.2 - 1.1

get /v1/lb-server-groups/{lb_server_group_id}/members

Description

Member 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Member 명
Example :
any of [string, null]None
querymember_ip
optional
Member ID
Example :
any of [string, null]None
querymember_port
optional
Member 포트
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKMemberWithHealthStateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "members": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_state": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "lb_server_group_id": "",
            "member_ip": "",
            "member_port": "",
            "member_state": "",
            "member_weight": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "object_id": "",
            "object_type": "VM",
            "state": "CREATING"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15 - ListLBServerGroups

1.15.1 - 1.2

get /v1/lb-server-groups

Description

LB 서버 그룹 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 서버 그룹 명
Example : ServerGroup01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, UDP)], enum (TCP, UDP), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None
queryvpc_id
optional
VPC ID
Example : 8acceeb6920c4fc494490d864f67f0b5
any of [string, null]None
querylb_health_check_id
optional
LB 헬스 체크 ID
Example : 46c681018e33453085ca7c8db54e0076
stringNone
querylb_method
optional
부하 분산
Example : ROUND_ROBIN
any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null]None

Responses

HTTP CodeDescriptionSchema
200OKLbServerGroupListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_server_groups": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
            "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
            "lb_name": "Test-LB-01",
            "lb_server_group_member_count": 2,
            "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ServerGroup01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.15.2 - 1.1

get /v1/lb-server-groups

Description

LB 서버 그룹 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LB 서버 그룹 명
Example : ServerGroup01
any of [string, null]None
queryprotocol
optional
프로토콜
Example : ['TCP', 'UDP']
any of [array[enum (TCP, UDP)], enum (TCP, UDP), null]None
querysubnet_id
optional
Service Subnet ID
Example : 60fba45cb6c811efba41ba92e4fe7200
any of [string, null]None
queryvpc_id
optional
VPC ID
Example : 8acceeb6920c4fc494490d864f67f0b5
any of [string, null]None
querylb_health_check_id
optional
LB 헬스 체크 ID
Example : 46c681018e33453085ca7c8db54e0076
stringNone
querylb_method
optional
부하 분산
Example : ROUND_ROBIN
any of [array[enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION)], enum (ROUND_ROBIN, LEAST_CONNECTION, IP_HASH, WEIGHTED_ROUND_ROBIN, WEIGHTED_LEAST_CONNECTION), null]None

Responses

HTTP CodeDescriptionSchema
200OKLbServerGroupListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "lb_server_groups": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
            "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
            "lb_name": "Test-LB-01",
            "lb_server_group_member_count": 2,
            "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "ServerGroup01",
            "protocol": "TCP",
            "state": "ACTIVE",
            "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.16 - ListLoadbalancerCertificates

1.16.1 - 1.2

get /v1/loadbalancers/certificates

Description

인증서 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Responses

HTTP CodeDescriptionSchema
200OKLbCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/certificates

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "",
            "cn": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "not_after_dt": "2026-02-11T06:42:52.611Z",
            "not_before_dt": "2026-02-11T06:42:52.611Z",
            "state": ""
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.16.2 - 1.1

get /v1/loadbalancers/certificates

Description

인증서 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Responses

HTTP CodeDescriptionSchema
200OKLbCertificateListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/certificates

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "certificates": [
        {
            "cert_kind": "",
            "cn": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "not_after_dt": "2026-02-11T06:42:52.611Z",
            "not_before_dt": "2026-02-11T06:42:52.611Z",
            "state": ""
        }
    ],
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.17 - ListLoadbalancers

1.17.1 - 1.2

get /v1/loadbalancers

Description

LoadBalancer 목록을 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LoadBalancer 명
Example :
any of [string, null]None
querystate
optional
The state of the load balancer.
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]]
queryservice_ip
optional
LoadBalancer 서비스 IP
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querylayer_type
optional
계층 타입
Example :
any of [enum (L4, L7), array[enum (L4, L7)]]
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/loadbalancers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "loadbalancers": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "firewall_id": "",
            "id": "",
            "layer_type": "",
            "listener_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "public_nat_enabled": "",
            "service_ip": "",
            "source_nat_ip": "",
            "state": "",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.17.2 - 1.1

get /v1/loadbalancers

Description

LoadBalancer 목록을 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
LoadBalancer 명
Example :
any of [string, null]None
querystate
optional
The state of the load balancer.
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), array[enum (CREATING, ACTIVE, DELETING, DELETED, ERROR)]]
queryservice_ip
optional
LoadBalancer 서비스 IP
Example :
any of [string, null]None
querysubnet_id
optional
Subnet ID
Example :
any of [string, null]None
querylayer_type
optional
계층 타입
Example :
any of [enum (L4, L7), array[enum (L4, L7)]]
queryvpc_id
optional
VPC ID
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/loadbalancers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "loadbalancers": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "firewall_id": "",
            "id": "",
            "layer_type": "",
            "listener_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "public_nat_enabled": "",
            "service_ip": "",
            "source_nat_ip": "",
            "state": "",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.18 - RemoveLbServerGroupMember

1.18.1 - 1.2

delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 삭제한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 202

1.18.2 - 1.1

delete /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 삭제한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 202

1.19 - RemoveLbServerGroupMembers

1.19.1 - 1.2

delete /v1/lb-server-groups/{lb_server_group_id}/members

Description

Remove Lb Server Group Members

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
bodybody
required

MemberDeleteBulkRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "member_id_list": [
        ""
    ]
}

Example HTTP response

Response 202

1.20 - SetLBHealthCheck

1.20.1 - 1.2

put /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 수정한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone
bodybody
required

LbHealthCheckSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "lb_health_check": {
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_url": "/test",
        "http_method": "GET",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200"
    }
}

Example HTTP response

Response 202

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.20.2 - 1.1

put /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 수정한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone
bodybody
required

LbHealthCheckSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "lb_health_check": {
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_url": "/test",
        "http_method": "GET",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200"
    }
}

Example HTTP response

Response 202

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.21 - SetLbListener

1.21.1 - 1.2

put /v1/lb-listeners/{listener_id}

Description

리스너 목록을 수정한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone
bodybody
required

LbListenerSetRequestV1Dot2

Responses

HTTP CodeDescriptionSchema
200OKLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "listener": {
        "condition_type": "URL_PATH",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "insert_client_ip": "",
        "persistence": "",
        "response_timeout": "",
        "server_group_id": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "support_http2": "",
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

Example HTTP response

Response 200

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.21.2 - 1.1

put /v1/lb-listeners/{listener_id}

Description

리스너 목록을 수정한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone
bodybody
required

LbListenerSetRequest

Responses

HTTP CodeDescriptionSchema
200OKLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "listener": {
        "condition_type": "URL_PATH",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "insert_client_ip": "",
        "persistence": "",
        "response_timeout": "",
        "server_group_id": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "support_http2": "",
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

Example HTTP response

Response 200

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.22 - SetLBServerGroup

1.22.1 - 1.2

put /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 수정한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone
bodybody
required

LbServerGroupSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "lb_server_group": {
        "description": "this is an lb server group",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN"
    }
}

Example HTTP response

Response 202

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.22.2 - 1.1

put /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 수정한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone
bodybody
required

LbServerGroupSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "lb_server_group": {
        "description": "this is an lb server group",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN"
    }
}

Example HTTP response

Response 202

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.23 - SetLbServerGroupMember

1.23.1 - 1.2

put /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 수정한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone
bodybody
required

MemberSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedMemberShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Request body

{
    "member": {
        "member_port": 80,
        "member_state": "ENABLE",
        "member_weight": 100
    }
}

Example HTTP response

Response 202

{
    "member": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "lb_server_group_id": "",
        "member_ip": "",
        "member_port": "",
        "member_state": "",
        "member_weight": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "object_id": "",
        "object_type": "VM",
        "state": "CREATING",
        "subnet_id": "",
        "uuid": ""
    }
}

1.23.2 - 1.1

put /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 수정한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone
bodybody
required

MemberSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedMemberShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "member": {
        "member_port": 80,
        "member_state": "ENABLE",
        "member_weight": 100
    }
}

Example HTTP response

Response 202

{
    "member": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "lb_server_group_id": "",
        "member_ip": "",
        "member_port": "",
        "member_state": "",
        "member_weight": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "object_id": "",
        "object_type": "VM",
        "state": "CREATING",
        "subnet_id": "",
        "uuid": ""
    }
}

1.24 - SetLoadbalancer

1.24.1 - 1.1

put /v1/loadbalancers/{loadbalancer_id}

Description

LoadBalancer를 수정한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone
bodybody
required

LoadbalancerUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedLoadbalancerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Request body

{
    "loadbalancer": {
        "description": ""
    }
}

Example HTTP response

Response 202

{
    "loadbalancer": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "health_check_ip": [
            ""
        ],
        "id": "",
        "layer_type": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "public_nat_enabled": "",
        "service_ip": "",
        "source_nat_ip": "",
        "state": "",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.25 - ShowLBHealthCheck

1.25.1 - 1.2

get /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 상세 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.25.2 - 1.1

get /v1/lb-health-checks/{lb_health_check_id}

Description

LB 헬스 체크를 상세 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_health_check_id
required
LB 헬스 체크 ID
Example : e3cd678b11784734bc366148aa37580e
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbHealthCheckShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-health-checks/{lb_health_check_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "lb_health_check": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "health_check_count": 3,
        "health_check_interval": 5,
        "health_check_port": 80,
        "health_check_timeout": 5,
        "health_check_type": "DEFAULT",
        "health_check_url": "/test",
        "http_method": "GET",
        "id": "46c681018e33453085ca7c8db54e0076",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "Test-LbMonitor-01",
        "protocol": "TCP",
        "request_data": "username=admin&password=1234",
        "response_code": "200",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.26 - ShowLbListener

1.26.1 - 1.2

get /v1/lb-listeners/{listener_id}

Description

Listener를 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.26.2 - 1.1

get /v1/lb-listeners/{listener_id}

Description

Listener를 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlistener_id
required
Listener 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbListenerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-listeners/{listener_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "listener": {
        "condition_type": "URL_PATH",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "https_redirection": {
            "port": "",
            "protocol": "",
            "response_code": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "insert_client_ip": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "persistence": "",
        "protocol": "",
        "response_timeout": "",
        "routing_action": "LB_SERVER_GROUP",
        "server_group_id": "",
        "server_group_name": "",
        "service_port": "",
        "session_duration_time": "",
        "sni_certificate": [
            {
                "domain_name": "",
                "sni_cert_id": ""
            }
        ],
        "ssl_certificate": {
            "client_cert_id": "",
            "client_cert_level": "",
            "server_cert_level": ""
        },
        "state": "",
        "support_http2": false,
        "url_handler": "",
        "url_redirection": "",
        "x_forwarded_for": "",
        "x_forwarded_port": "",
        "x_forwarded_proto": ""
    }
}

1.27 - ShowLBServerGroup

1.27.1 - 1.2

get /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.27.2 - 1.1

get /v1/lb-server-groups/{lb_server_group_id}

Description

LB 서버 그룹을 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
LB 서버 그룹 ID
Example : 3d8d8754d0d54683a29f3dcc3dd95d5b
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbServerGroupShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "lb_server_group": {
        "account_id": "e3cd678b11784734bc366148aa37580e",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "this is an lb server group",
        "id": "3d8d8754d0d54683a29f3dcc3dd95d5b",
        "lb_health_check_id": "46c681018e33453085ca7c8db54e0076",
        "lb_method": "ROUND_ROBIN",
        "lb_name": "Test-LB-01",
        "loadbalancer_id": "82efa35c88834bc083020443e57faa10",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "ServerGroup01",
        "protocol": "TCP",
        "state": "ACTIVE",
        "subnet_id": "60fba45cb6c811efba41ba92e4fe7200",
        "vpc_id": "8acceeb6920c4fc494490d864f67f0b5"
    }
}

1.28 - ShowLbServerGroupMember

1.28.1 - 1.2

get /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMemberShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "member": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "lb_server_group_id": "",
        "member_ip": "",
        "member_port": "",
        "member_state": "",
        "member_weight": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "object_id": "",
        "object_type": "VM",
        "state": "CREATING",
        "subnet_id": "",
        "uuid": ""
    }
}

1.28.2 - 1.1

get /v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Description

Member를 조회한다.

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_server_group_id
required
Lb Server Group ID
Example :
stringNone
pathmember_id
required
ID of Member
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKMemberShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/lb-server-groups/{lb_server_group_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "member": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "lb_server_group_id": "",
        "member_ip": "",
        "member_port": "",
        "member_state": "",
        "member_weight": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "object_id": "",
        "object_type": "VM",
        "state": "CREATING",
        "subnet_id": "",
        "uuid": ""
    }
}

1.29 - ShowLoadbalancer

1.29.1 - 1.2

get /v1/loadbalancers/{loadbalancer_id}

Description

LoadBalancer를 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "loadbalancer": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "health_check_ip": [
            ""
        ],
        "id": "",
        "layer_type": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "public_nat_enabled": "",
        "service_ip": "",
        "source_nat_ip": "",
        "state": "",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.29.2 - 1.1

get /v1/loadbalancers/{loadbalancer_id}

Description

LoadBalancer를 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "loadbalancer": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "health_check_ip": [
            ""
        ],
        "id": "",
        "layer_type": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "public_nat_enabled": "",
        "service_ip": "",
        "source_nat_ip": "",
        "state": "",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.30 - ShowLoadbalancerCertificate

1.30.1 - 1.2

get /v1/loadbalancers/certificates/{lb_certificate_id}

Description

인증서를 조회한다

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathlb_certificate_id
required
인증서 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbCertificateShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/certificates/{lb_certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "",
        "cn": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "not_after_dt": "2026-02-11T06:42:52.642Z",
        "not_before_dt": "2026-02-11T06:42:52.642Z",
        "organization": "",
        "private_key": "",
        "state": ""
    }
}

1.30.2 - 1.1

get /v1/loadbalancers/certificates/{lb_certificate_id}

Description

인증서를 조회한다

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathlb_certificate_id
required
인증서 아이디
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLbCertificateShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/certificates/{lb_certificate_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "certificate": {
        "account_id": "",
        "cert_body": "",
        "cert_chain": "",
        "cert_kind": "",
        "cn": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "not_after_dt": "2026-02-11T06:42:52.642Z",
        "not_before_dt": "2026-02-11T06:42:52.642Z",
        "organization": "",
        "private_key": "",
        "state": ""
    }
}

1.31 - ShowLoadbalancerPublicNatIp

1.31.1 - 1.2

get /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

Show Load Balancer Public NAT IP

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerStaticNatResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.2"

Example HTTP response

Response 200

{
    "static_nat": {
        "external_ip_address": "",
        "publicip_id": "",
        "state": ""
    }
}

1.31.2 - 1.1

get /v1/loadbalancers/{loadbalancer_id}/static-nats

Description

Show Load Balancer Public NAT IP

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
pathloadbalancer_id
required
자원 ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLoadbalancerStaticNatResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/loadbalancers/{loadbalancer_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loadbalancer 1.1"

Example HTTP response

Response 200

{
    "static_nat": {
        "external_ip_address": "",
        "publicip_id": "",
        "state": ""
    }
}

2 - Models

2.1 - HttpsRedirection

NameDescriptionSchemaDefault
port
optional
port
Example :
any of [string, null]
protocol
optional
프로토콜
Example :
any of [string, null]
response_code
optional
response_code
Example :
any of [string, null]

2.2 - LbCertificate

NameDescriptionSchemaDefault
cert_kind
optional

Example :
string
cn
optional

Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
자원 ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
optional

Example :
string
not_after_dt
optional

Example : 2026-02-11T06:42:52.611Z
string (date-time)
not_before_dt
optional

Example : 2026-02-11T06:42:52.611Z
string (date-time)
state
optional

Example :
string

2.3 - LbCertificateForShow

NameDescriptionSchemaDefault
account_id
required
The project ID of the certificate
Example :
string
cert_body
required
The body of the certificate
Example :
string
cert_chain
optional
The chain of the certificate
Example :
any of [string, null]
cert_kind
optional

Example :
string
cn
optional

Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
자원 ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
optional

Example :
string
not_after_dt
optional

Example : 2026-02-11T06:42:52.642Z
string (date-time)
not_before_dt
optional

Example : 2026-02-11T06:42:52.642Z
string (date-time)
organization
required
The organization of the certificate
Example :
string
private_key
required
인증서 개인키
Example :
string
state
optional

Example :
string

2.4 - LbCertificateListResponse

NameDescriptionSchemaDefault
certificates
required

array[LbCertificate]
count
optional
전체 개수
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.5 - LbCertificateShowResponse

NameDescriptionSchemaDefault
certificate
required

LbCertificateForShow

2.6 - LbHealthCheckCreate

NameDescriptionSchemaDefault
description
optional
설명
Example : this is an lb server group
any of [string, null]
health_check_count
optional
탐지 횟수
Example : 3
Minimum : 1
Maximum : 10
integer3
health_check_interval
optional
헬스 체크 주기가 유효하지 않습니다. 입력 조건을 확인하세요.
Example : 5
Minimum : 1
Maximum : 180
integer5
health_check_port
optional
헬스 체크 포트
Example : 80
any of [integer, null]
health_check_timeout
optional
대기 시간
Example : 5
Minimum : 1
Maximum : 180
integer5
health_check_url
optional
URL 모니터
Example : /test
Pattern : ^\/[A-Za-z0-9/._?&=-]*$
any of [string, null]
http_method
optional
LB 헬스 체크 HTTP 방식
Example : GET
any of [enum (GET, POST), null]
name
required
LB 헬스 체크명
Example : ServerGroup01
Pattern : ^[a-zA-Z0-9][-a-zA-Z0-9_]*[a-zA-Z0-9]$
Minimum length : 3
Maximum length : 63
string
protocol
required
프로토콜
Example : TCP
enum (TCP, HTTP, HTTPS)
request_data
optional
요청 문자열
Example : username=admin&password=1234
Pattern : ^[a-zA-Z0-9_\W]*$
any of [string, null]
response_code
[...]
